## visad.meteorology
Class SatelliteImage

    java.lang.Object
      visad.ThingImpl
          visad.DataImpl
              visad.FunctionImpl
                  visad.FieldImpl
                      visad.FlatField
                          visad.meteorology.SingleBandedImageImpl
                              visad.meteorology.SatelliteImage

All Implemented Interfaces:
  Cloneable, Data, Field, FlatFieldIface, Function, SatelliteData, Serializable, SingleBandedImage, Thing

public class SatelliteImage
extends SingleBandedImageImpl
implements SatelliteData

An implementation for representing single-banded planar satellite that has navigation.

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class visad.DataImpl
`DataImpl.Syncher`

Nested classes inherited from class visad.ThingImpl
``

Field Summary

Fields inherited from class visad.FlatField
`RangeCoordinateSystem, RangeCoordinateSystems, RangeUnits, TupleDimension`

Fields inherited from class visad.FieldImpl
``

Fields inherited from class visad.DataImpl
``

Fields inherited from interface visad.Data

`ABS, ACOS, ACOS_DEGREES, ADD, ASIN, ASIN_DEGREES, ATAN, ATAN_DEGREES, ATAN2, ATAN2_DEGREES, CEIL, COS, COS_DEGREES, DEGREES_TO_RADIANS, DEPENDENT, DIVIDE, EXP, FLOOR, INDEPENDENT, INV_ATAN2, INV_ATAN2_DEGREES, INV_DIVIDE, INV_POW, INV_REMAINDER, INV_SUBTRACT, LOG, MAX, MIN, MULTIPLY, NEAREST_NEIGHBOR, NEGATE, NO_ERRORS, NOP, POW, RADIANS_TO_DEGREES, REMAINDER, RINT, ROUND, SIN, SIN_DEGREES, SQRT, SUBTRACT, TAN, TAN_DEGREES, WEIGHTED_AVERAGE`

Constructor Summary
`SatelliteImage(FlatField image, DateTime startTime, String desc, String sensor)` Construct a Satellite Image from a FlatField.
`SatelliteImage(FunctionType function, Set domain, DateTime startTime, String desc, String sensor)` Construct a SatelliteImage without any data.

Method Summary
`String` `getSensorName()` Get a description of the sensor.
`Data` `unary(int op, MathType new_type, int sampling_mode, int error_mode)` return new SatelliteImage with value 'op this'

Methods inherited from class visad.meteorology.SingleBandedImageImpl
`binary, getDescription, getMaxRangeValue, getMinRangeValue, getStartTime, isNavigated, setSamples, setSamples, unary`

Methods inherited from class visad.FlatField

`adjustSamplingError, binary, clearMissing, clone, cloneDouble, cloneDouble, cloneFloat, cloneFloat, computeRanges, convertToField, derivative, derivative, derivative, derivative, derivative, equals, extract, fillField, getDefaultRangeUnits, getFloats, getFloats, getRangeCoordinateSystem, getRangeCoordinateSystem, getRangeDimension, getRangeErrors, getRangeSets, getRangeUnits, getSample, getSample, getStringValues, getValues, getValues, getValues, grabBytes, isFlatField, isMissing, longString, main, makeField, makeField1, makeField2, makeRational, makeRational, pr, resample, setRangeErrors, setSample, setSample, setSamples, setSamples, setSamples, setSamples, setSamples, setSamples, setSamples, toString, unpackFloats, unpackFloats, unpackFloats, unpackOneRangeComp, unpackValues, unpackValues, unpackValues`

Methods inherited from class visad.FieldImpl
`__getitem__, __len__, __setitem__, __setitem__, combine, combine, combine, combine, combine, domainEnumeration, domainFactor, domainFactor, domainMultiply, domainMultiply, domainMultiply, domainMultiply, extract, extract, getDomainCoordinateSystem, getDomainSet, getDomainUnits, getLength, setSample, setSample, setSample, setSamples`

Methods inherited from class visad.FunctionImpl
`__getitem__, __getitem__, evaluate, evaluate, evaluate, evaluate, getDomainDimension, resample`

Methods inherited from class visad.DataImpl

`__add__, __add__, __div__, __div__, __mod__, __mod__, __mul__, __mul__, __neg__, __pow__, __pow__, __radd__, __rdiv__, __rmod__, __rmul__, __rpow__, __rsub__, __sub__, __sub__, abs, abs, acos, acos, acosDegrees, acosDegrees, add, add, asin, asin, asinDegrees, asinDegrees, atan, atan, atan2, atan2, atan2Degrees, atan2Degrees, atanDegrees, atanDegrees, ceil, ceil, changeMathType, computeRanges, computeRanges, cos, cos, cosDegrees, cosDegrees, dataClone, divide, divide, exp, exp, floor, floor, getType, local, log, log, longString, max, max, min, min, multiply, multiply, negate, negate, notifyReferences, pow, pow, remainder, remainder, rint, rint, round, round, sin, sin, sinDegrees, sinDegrees, sqrt, sqrt, subtract, subtract, tan, tan, tanDegrees, tanDegrees`

Methods inherited from class visad.ThingImpl
`addReference, removeReference`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface visad.meteorology.SatelliteData
`getDescription`

Methods inherited from interface visad.Data

`abs, abs, acos, acos, acosDegrees, acosDegrees, add, add, adjustSamplingError, asin, asin, asinDegrees, asinDegrees, atan, atan, atan2, atan2, atan2Degrees, atan2Degrees, atanDegrees, atanDegrees, binary, binary, ceil, ceil, changeMathType, computeRanges, computeRanges, computeRanges, cos, cos, cosDegrees, cosDegrees, dataClone, divide, divide, exp, exp, floor, floor, getType, isMissing, local, log, log, longString, longString, max, max, min, min, multiply, multiply, negate, negate, pow, pow, remainder, remainder, rint, rint, round, round, sin, sin, sinDegrees, sinDegrees, sqrt, sqrt, subtract, subtract, tan, tan, tanDegrees, tanDegrees, unary`

Methods inherited from interface visad.Thing
`addReference, removeReference`

Methods inherited from interface visad.Field
`domainEnumeration, domainFactor, domainMultiply, domainMultiply, extract, getDefaultRangeUnits, getDomainSet, getFloats, getFloats, getLength, getRangeCoordinateSystem, getRangeCoordinateSystem, getRangeUnits, getSample, getStringValues, getValues, getValues, isFlatField, setSample, setSample, setSample, setSample, setSamples, setSamples, setSamples`

Methods inherited from interface visad.Function
`derivative, derivative, derivative, derivative, derivative, evaluate, evaluate, evaluate, evaluate, getDomainCoordinateSystem, getDomainDimension, getDomainUnits, resample, resample`

Constructor Detail

### SatelliteImage

    public SatelliteImage(FunctionType function,
                          Set domain,
                          DateTime startTime,
                          String desc,
                          String sensor)
                   throws VisADException

  Construct a SatelliteImage without any data.

Parameters:
  `function` - FunctionType for this image. It must have a Range that has only one (Real) component.
  `domain` - DomainSet for this image.
  `startTime` - starting time of the image.
  `desc` - description
  `sensor` - sensor description
Throws:
  `VisADException` - couldn't create the SatelliteImage

### SatelliteImage

    public SatelliteImage(FlatField image,
                          DateTime startTime,
                          String desc,
                          String sensor)
                   throws VisADException

  Construct a Satellite Image from a FlatField.

Parameters:
  `image` - FlatField representing an image. It must have a Range that only has one (Real) component.
  `startTime` - starting time of the image.
  `desc` - description
  `sensor` - sensor name
Throws:
  `VisADException` - couldn't create the NavigatedImage

Method Detail

### getSensorName

    public String getSensorName()

  Get a description of the sensor.

  Specified by:
    `getSensorName` in interface `SatelliteData`
  Returns:
    sensor description

### unary

    public Data unary(int op,
                      MathType new_type,
                      int sampling_mode,
                      int error_mode)
               throws VisADException

  return new SatelliteImage with value 'op this'

  Specified by:
    `unary` in interface `Data`
  Overrides:
    `unary` in class `SingleBandedImageImpl`
  Throws:
    `VisADException`